curl --request DELETE \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
{
method: "DELETE",
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.delete("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"success": true,
"message": "Card deleted successfully"
}
{
"name": "NOT_FOUND",
"message": "Card not found",
"status": 404,
"errors": []
}
Payment Methods
Delete Payment Method
Delete payment method via the Atoa Payment Methods API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
DELETE
/
api
/
customers
/
{customerId}
/
cards
/
{cardId}
curl --request DELETE \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
{
method: "DELETE",
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.delete("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"success": true,
"message": "Card deleted successfully"
}
{
"name": "NOT_FOUND",
"message": "Card not found",
"status": 404,
"errors": []
}
Remove a saved payment method. The card can no longer be used for payments.
Authorization
Bearer<accessSecret>
Path Parameters
string
required
The customer UUID who owns the card.
string
required
The card identifier to delete.
curl --request DELETE \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
{
method: "DELETE",
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.delete("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"success": true,
"message": "Card deleted successfully"
}
{
"name": "NOT_FOUND",
"message": "Card not found",
"status": 404,
"errors": []
}
⌘I